Package twisted :: Package im :: Module gtkcommon :: Class InputOutputWindow

[show private | hide private]
[frames | no frames]

## Class InputOutputWindow

Known Subclasses:
  `GroupConversation`, `Conversation`

Method Summary
| `__init__(self, rootName, inputName, outputName)`
| `getCurrentWord(self, entry)`
| `handle_key_press_event(self, entry, event)`
| `hidden(self, w)`
| `hide(self)`
| `historyDown(self)`
| `historyUp(self)`
| `show(self)`
| ``tabComplete`(self, word)` Override me to implement tab completion for your window, I should return a list of potential matches.

Method Details

### tabComplete(self, word)

Override me to implement tab completion for your window, I should return a list of potential matches.

Generated by Epydoc 1.1 on Sat Feb 15 21:17:50 2003 | http://epydoc.sf.net